// vim: et:ts=4:sw=4:sts=4:ft=javascript
/*@
Ox.Tabbar <f:Ox.Bar> Tabbar
    () ->              <o> Tabbar object
    (options) ->       <o> Tabbar object
    (options, self) -> <o> Tabbar object
    options <o> Options object
        selected <n|0>  selected item
        tabs     <a|[]> tabs
    self    <o> Shared private variable
@*/
/**
*/
Ox.Tabbar = function(options, self) {

    self = self || {};
    var that = Ox.Bar({
                size: 20
            }, self)
            .defaults({
                selected: 0,
                tabs: []
            })
            .options(options || {})
            .addClass('OxTabbar');

    Ox.ButtonGroup({
        buttons: self.options.tabs,
        group: true,
        selectable: true,
        selected: self.options.selected,
        size: 'medium',
        style: 'tab'
    }).appendTo(that);

    return that;

};
